Loading...
Searching...
No Matches
modbus::GatewayMgr::RtuSettings Struct Reference

Modbus RTU settings. More...

## Public Attributes

byte | defaultAddr
| Modbus serial device default address.
int | speed
| Modbus serial line speed.
byte | parity
| Modbus serial line parity (N/E/O)

## Detailed Description

Modbus RTU settings.

Definition at line 15 of file ModbusGatewayMgr.idl.

## Member Data Documentation

## defaultAddr

byte modbus::GatewayMgr::RtuSettings::defaultAddr

Modbus serial device default address.

Definition at line 16 of file ModbusGatewayMgr.idl.

## parity

byte modbus::GatewayMgr::RtuSettings::parity

Modbus serial line parity (N/E/O)

Definition at line 18 of file ModbusGatewayMgr.idl.

## speed

int modbus::GatewayMgr::RtuSettings::speed

Modbus serial line speed.

Definition at line 17 of file ModbusGatewayMgr.idl.

The documentation for this struct was generated from the following file:

- ModbusGatewayMgr.idl